/*
 * Programme a charger sur un Nano pour gerer 15 capteurs
 * 
 * les connexions des capteurs sont les suivantes :
 *  numero du capteur       broche arduino
 *        1                       RX
 *        2                       2
 *        3                       3
 *        4                       4
 *        5                       5
 *        6                       6
 *        7                       7
 *        8                       8            
 *        9                       9
 *        10                      A0
 *        11                      A1
 *        12                      A2
 *        13                      A3
 *        14                      A4
 *        15                      A5
 * Les broches 10,11,12,13 l'interface SPI
 * Les broches A6 et A7 servent au generateur aleatoire 
 * 
 * dans le setup il faut donner le numéro du gateway associe (1 a 8) et le numero du Detector (1 a 4)
 * 
 * la correspondance entre adresse S88 est la suivante :
 * 
 * Soit  X : Y l’adresse S88 d’un capteur alors il se situe sur le Gateway de numéro G tel que :
 * (G-1) * 4 < X <= G * 4 
 * et sur le détecteur de numéro D  tel que :
 * D = X – ((G-1) * 4)
 * En position Y sur ce détecteur.
 * 
 * X : Y => G : D : Y
 * 
 */



#include "CAN_S88_Detector.h"    // Detector program 

// SETUP

void setup() {Setup(3,1);}     // Gateway number, Detector number
  
// BOUCLE

void loop() {Loop();}


